Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Interface Authenticator

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  BasicAuthenticator, ClientCertAuthenticator, DigestAuthenticator, FormAuthenticator

    public interface Authenticator

extends java.io.Serializable

Authenticator Interface. This is the interface that must be implemented to provide authentication implementations to the HttpContext.

Method Summary
`java.security.Principal` | `authenticate(UserRealm realm, java.lang.String pathInContext, Request request, Response response)` Authenticate.
`java.lang.String` | `getAuthMethod()`

Method Detail

### authenticate

    java.security.Principal authenticate(UserRealm realm,
                                         java.lang.String pathInContext,
                                         Request request,
                                         Response response)
                                         throws java.io.IOException

  Authenticate.

  Parameters:
    `realm` - an `UserRealm` value
    `pathInContext` - a `String` value
    `request` - a `Request` value
    `response` - a `Response` value. If non-null response is passed, then a failed authentication will result in a challenge response being set in the response.
  Returns:
    User `Principal` if authenticated. Null if Authentication failed. If the SecurityConstraint.__NOBODY instance is returned, the request is considered as part of the authentication process.
  Throws:
    `java.io.IOException` - if an error occurs

### getAuthMethod

    java.lang.String getAuthMethod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.